<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Grid Filter Test</title>
	<link rel='stylesheet' href="support/common.css" />
	<style type="text/css">
		.gridx {
			width: 900px;
			height: 300px;
		}
	</style>
	<script type="text/javascript" src="../../dojo/dojo.js" data-dojo-config="async: true"></script>
	<script type="text/javascript" src='support/common.js'></script>
	<script type="text/javascript" src='test_grid_filter.js'></script>
</head>
<body class='claro'>
	<h1 class='title' tabindex='0' onfocus='this.style.color="blue"' onblur='this.style.color=""'>
		Grid Filter Test
	</h1>
	<h2>FilterBar(case sensitive) with pre-defined filter conditions</h2>
	<table style='width:100%'>
		<tr>
			<td style='width:950px' id='gridContainer'>
			<div id='grid1' jsid='grid1' data-dojo-type='gridx.Grid' data-dojo-props='
				cacheClass: "gridx/core/model/cache/Sync",
				store: store,
				structure: layout,
				selectRowTriggerOnCell: true,
				filterCaseSensitive: true,
				filterBarMaxRuleCount: 1,
				filterBarExperimental: true,
				filterBarFilterData: {
					type: "any",
					conditions: [
						{
							colId: "Download Date",
							condition: "before",
							type: "Date",
							value: "Thu Nov 20 2000"
						},
						{
							colId: "Date Time",
							condition: "after",
							type: "Date",
							value: "Thu Nov 20 1950"
						},
						{
							colId: "Download Date",
							condition: "past",
							type: "Date",
							value: {
								interval: "day",
								amount: 2000
							}
						}
					]
				},
				filterBarItemsName: "elements",
				modules: [
					"gridx/modules/Filter",
					"gridx/modules/filter/FilterBar",
					"gridx/modules/SingleSort",
					"gridx/modules/extendedSelect/Row",
					"gridx/modules/IndirectSelectColumn",
					"gridx/modules/VirtualVScroller"
				]
			'></div>
			</td>
			<td>
				<h2>Input condition for filter bar pre condition</h2>
				<textarea style='width:100%;height:250px' id='preFilterInput'>
{
"type": "any",
"conditions": [
	{
		"colId": "Download Date",
		"condition": "before",
		"type": "Date",
		"value": "Thu Nov 20 2000"
	},
	{
		"colId": "Date Time",
		"condition": "after",
		"type": "Date",
		"value": "Thu Nov 20 1950"
	},
	{
		"colId": "Download Date",
		"condition": "past",
		"type": "Date",
		"value": {
			"interval": "day",
			"amount": 2000
		}
	}
]
}
				</textarea>
				<button onclick='generateGrid()'>generate grid</button>
			</td>
		</tr>
	</table>
	<h2>FilterBar(case insensitive)</h2>
	<div id='grid2' jsid='grid2' data-dojo-type='gridx.Grid' data-dojo-props='
		cacheClass: "gridx/core/model/cache/Sync",
		store: store,
		structure: layout,
		selectRowTriggerOnCell: true,
		filterCaseSensitive: false,
		filterBarMaxRuleCount: Infinity,
		filterBarFilterData: {
			type: "all",
			conditions: [
				{
					colId: "",
					condition: "contain",
					type: "Text",
					value: "Easy"
				}
			]
		},
		filterBarItemsName: "elements",
		modules: [
			"gridx/modules/Filter",
			"gridx/modules/filter/FilterBar",
			"gridx/modules/SingleSort",
			"gridx/modules/extendedSelect/Row",
			"gridx/modules/IndirectSelectColumn",
			"gridx/modules/VirtualVScroller"
		]
	'></div>
	<h2>QuickFilter(case sensitive)</h2>
	<div id='grid3' jsid='grid3' data-dojo-type='gridx.Grid' data-dojo-props='
		cacheClass: "gridx/core/model/cache/Sync",
		store: store,
		structure: layout,
		selectRowTriggerOnCell: true,
		filterCaseSensitive: true,
		modules: [
			"gridx/modules/Filter",
			"gridx/modules/filter/QuickFilter",
			"gridx/modules/SingleSort",
			"gridx/modules/extendedSelect/Row",
			"gridx/modules/IndirectSelectColumn",
			"gridx/modules/VirtualVScroller"
		]
	'></div>
	<h2>QuickFilter(case insensitive)</h2>
	<div id='grid4' jsid='grid4' data-dojo-type='gridx.Grid' data-dojo-props='
		cacheClass: "gridx/core/model/cache/Sync",
		store: store,
		structure: layout,
		selectRowTriggerOnCell: true,
		filterCaseSensitive: false,
		modules: [
			"gridx/modules/Filter",
			"gridx/modules/filter/QuickFilter",
			"gridx/modules/SingleSort",
			"gridx/modules/extendedSelect/Row",
			"gridx/modules/IndirectSelectColumn",
			"gridx/modules/VirtualVScroller"
		]
	'></div>	
	<h2>FilterBar and QuickFilter</h2>
	<div id='grid5' jsid='grid5' data-dojo-type='gridx.Grid' data-dojo-props='
		cacheClass: "gridx/core/model/cache/Sync",
		store: store,
		structure: layout,
		selectRowTriggerOnCell: true,
		modules: [
			"gridx/modules/Filter",
			"gridx/modules/filter/FilterBar",
			"gridx/modules/filter/QuickFilter",
			"gridx/modules/SingleSort",
			"gridx/modules/extendedSelect/Row",
			"gridx/modules/IndirectSelectColumn",
			"gridx/modules/VirtualVScroller"
		]
	'></div>
</body>
</html>
